Description

long story short:

 ANALYSIS-ERROR:

    Error during analysis of #<PROJECT-SPEC lsp-csra-0.3:rsb-depth-sensors {1008C7B083}> Caused by:

    > Error during analysis of /media/local_jenkins/tmp/project.euG0qW/branch-csra_0.3/ Caused by:

    > > Could not resolve version "${Boost_USE_VERSION}" in find_package() expression.

  ANALYSIS-ERROR:

    Error during analysis of #<PROJECT-SPEC lsp-csra-0.3:rsb-depth-sensors {1008C7B083}> Caused by:

    > Error during analysis of /media/local_jenkins/tmp/project.euG0qW/branch-csra_0.3/ Caused by:

    > > Could not resolve version "${Boost_USE_VERSION}" in find_package() expression.

...

 

at several distributions on ayq: https://ayq.csra.cit-ec.de/view/DIST/job/Generate%20Distribution%200.3/lastBuild/console

History

#1 - 2016-03-11 14:47 - Jan Moringen

- Category set to project described by recipe

Seems to be a bug in the project. The CMakeLists.txt file contains the following line:

find_package(Boost ${Boost_USE_VERSION} REQUIRED thread system filesystem)

but Boost_USE_VERSION doesn't seem to be defined anywhere (as the generator remarks).

Compare to e.g. RSC which has the above line, but also:

SET(Boost_USE_VERSION 1.38 CACHE INTERNAL "Boost Version to use")
#2 - 2016-03-11 14:54 - Johannes Wienke

This is a corner case, I would say. Despite having an undefined variable, the call, with the variable resolving to blank, is still valid. In theory this could

be used to optionally let the user provide a version via the command line (ignoring the cache).

#3 - 2016-03-11 14:59 - Jan Moringen

Johannes Wienke wrote:

This is a corner case, I would say. Despite having an undefined variable, the call, with the variable resolving to blank, is still valid. In theory this

could be used to optionally let the user provide a version via the command line (ignoring the cache).

 

Sure. In this particular case however, I suspect that the find_package call has been copied from RSC without also copying the set call.

Also, the generator will still note the dependency, but without a version.

#4 - 2016-03-11 15:01 - Michael Goerlich

both of you are right. I just got the impression, that jobs are not being updated (which was the result of a forgotten push actually). Maybe the word

"warning" or "information" instead of "error" would be less misleading?

#5 - 2017-03-03 10:10 - Florian Lier

- Status changed from New to Closed
